#ifndef	CDROM_H
#define CDROM_H

#define PRG_TYPE    0
#define FIX_TYPE    1
#define SPR_TYPE    2
#define Z80_TYPE    3
#define PCM_TYPE    4
#define PAT_TYPE    5


void init_load_type();
void neogeo_cdrom_load_title(void);
void    fix_conv(UINT8 *Src, UINT8 *Ptr, int Taille, unsigned char *usage_ptr);
int    neogeo_cdrom_process_ipl();
void    neogeo_cdrom_load_files(UINT8 *Ptr);
void extract8(UINT8 *src, UINT8 *dst);
void spr_conv(UINT8 *src, UINT8 *dst, int len, unsigned char *usage_ptr);
void neogeo_cdrom_apply_patch(short *source, int offset, int bank);
int    neogeo_cdrom_load_spr_file(char *FileName, unsigned int Offset);
int    neogeo_cdrom_load_fix_file(char *FileName, unsigned int Offset);
int neogeo_cdrom_load_pcm_file(char *FileName, unsigned int Offset);
char *get_mp3_track(int n);
#endif
